## NAME

v.autocorr - Calculate spatial autocorrelation statistics for GRASS vector file.
(GRASS Vector Program)

## SYNOPSIS

v.autocorr
v.autocorr help
v.autocorr [-chnqw] vect=name [output=name]

## DESCRIPTION

v.autocorr uses a labeled binary vector file (vect=name) to calculate spatial autocorrelation statistics for areas. The output may either be printed to the screen or saved to a file (vect=name).

### Flags:

-c
  Print the connectivity matrix.
-w
  Print the weight matrix (a re-expression of the connectivity matrix).
-n
  Suppress calculation of statistics. Useful when used with -c or -w.
-h
  Do calculations for hypothesis testing. Warning: this is intensive!
-q
  Quiet. Cut out the chatter.

### Parameters:

vect=name
  Name of a labeled binary vector file. The categories values must be numeric.
output=name
  Name of the output file.

v.autocorr can be run either non-interactively or interactively. The program will be run non-interactively if the user specifies the name of a labeled binary vector file.

Alternately, the user can simply type v.autocorr on the command line, without program arguments. In this case, the user will be prompted for parameter values using the standard GRASS parser interface described in the manual entry for parser.

## SEE ALSO

s.voronoi
v.stats
parser

Daniel A. Griffith, (1987). Spatial Autocorrelation - A Primer. Association of American Geographers.
RANLIB.C
a library of C routines for random number generation compiled and written by Barry W. Brown and James Lovato of the M.D. Anderson Cancer Center at the University of Texas, was adapted for use by this program.

## BUGS

The -w flag does not work yet.
This program only works for fully labeled vector files (with sequential categories beginning with 1). I don't know what it will do in any other situation.
Please send all bug fixes and comments to the author.

## AUTHOR

James Darrell McCauley, Agricultural Engineering, Purdue University

Last changed: $Date: 2002/01/25 05:45:35 $